package com.example.nto.service;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.dto.EnterDTO;
import com.example.nto.entity.Authority;
import com.example.nto.entity.EmployeeAuthority;

import java.util.List;

public interface EmployeeService {
    EmployeeDTO getEmployeeByUsername(String username);
    EmployeeDTO getInfo(String username);
    EnterDTO addEnter(String username, EnterDTO enterDTO);
    List<EnterDTO> getAllEmployeeEnters(String username);
    EmployeeAuthority changeAuthority(String username, Authority auth);
}
